package com.kingdee.eas.custom.salarytemplate;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractWagesChromatographyInfo extends com.kingdee.eas.hr.base.HRBillBaseInfo implements Serializable 
{
    public AbstractWagesChromatographyInfo()
    {
        this("id");
    }
    protected AbstractWagesChromatographyInfo(String pkField)
    {
        super(pkField);
        put("entrys", new com.kingdee.eas.custom.salarytemplate.WagesChromatographyEntryCollection());
    }
    /**
     * Object: 兼职全职工资套打 's 分录 property 
     */
    public com.kingdee.eas.custom.salarytemplate.WagesChromatographyEntryCollection getEntrys()
    {
        return (com.kingdee.eas.custom.salarytemplate.WagesChromatographyEntryCollection)get("entrys");
    }
    /**
     * Object: 兼职全职工资套打 's 申请人 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getApplier()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("applier");
    }
    public void setApplier(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("applier", item);
    }
    /**
     * Object:兼职全职工资套打's 申请日期property 
     */
    public java.util.Date getApplyDate()
    {
        return getDate("applyDate");
    }
    public void setApplyDate(java.util.Date item)
    {
        setDate("applyDate", item);
    }
    /**
     * Object:兼职全职工资套打's 辅助状态property 
     */
    public int getInnerState()
    {
        return getInt("innerState");
    }
    public void setInnerState(int item)
    {
        setInt("innerState", item);
    }
    /**
     * Object:兼职全职工资套打's 核算状态property 
     */
    public String getAccountingstatus()
    {
        return getString("accountingstatus");
    }
    public void setAccountingstatus(String item)
    {
        setString("accountingstatus", item);
    }
    /**
     * Object:兼职全职工资套打's 核算次数property 
     */
    public String getAccountingfrequency()
    {
        return getString("Accountingfrequency");
    }
    public void setAccountingfrequency(String item)
    {
        setString("Accountingfrequency", item);
    }
    /**
     * Object:兼职全职工资套打's 统计年property 
     */
    public String getStatisticalyear()
    {
        return getString("statisticalyear");
    }
    public void setStatisticalyear(String item)
    {
        setString("statisticalyear", item);
    }
    /**
     * Object:兼职全职工资套打's 统计月property 
     */
    public String getStatisticalmonth()
    {
        return getString("statisticalmonth");
    }
    public void setStatisticalmonth(String item)
    {
        setString("statisticalmonth", item);
    }
    /**
     * Object:兼职全职工资套打's 公司名称property 
     */
    public String getCorporatename()
    {
        return getString("corporatename");
    }
    public void setCorporatename(String item)
    {
        setString("corporatename", item);
    }
    /**
     * Object:兼职全职工资套打's 起始时间property 
     */
    public java.util.Date getStarttime()
    {
        return getDate("starttime");
    }
    public void setStarttime(java.util.Date item)
    {
        setDate("starttime", item);
    }
    /**
     * Object:兼职全职工资套打's 结束时间property 
     */
    public java.util.Date getEndtime()
    {
        return getDate("endtime");
    }
    public void setEndtime(java.util.Date item)
    {
        setDate("endtime", item);
    }
    /**
     * Object:兼职全职工资套打's 是否锁定property 
     */
    public String getIsitlocked()
    {
        return getString("isitlocked");
    }
    public void setIsitlocked(String item)
    {
        setString("isitlocked", item);
    }
    /**
     * Object:兼职全职工资套打's 计算规则编码property 
     */
    public String getCalculationNumber()
    {
        return getString("calculationNumber");
    }
    public void setCalculationNumber(String item)
    {
        setString("calculationNumber", item);
    }
    /**
     * Object:兼职全职工资套打's 计算规则名称property 
     */
    public String getCalculationName()
    {
        return getString("calculationName");
    }
    public void setCalculationName(String item)
    {
        setString("calculationName", item);
    }
    /**
     * Object:兼职全职工资套打's 纳税单位编码property 
     */
    public String getTaxpayingcode()
    {
        return getString("taxpayingcode");
    }
    public void setTaxpayingcode(String item)
    {
        setString("taxpayingcode", item);
    }
    /**
     * Object:兼职全职工资套打's 扣缴单位纳税人识别号property 
     */
    public String getWithholdingcode()
    {
        return getString("withholdingcode");
    }
    public void setWithholdingcode(String item)
    {
        setString("withholdingcode", item);
    }
    /**
     * Object:兼职全职工资套打's 纳税单位名称property 
     */
    public String getWithholdingName()
    {
        return getString("WithholdingName");
    }
    public void setWithholdingName(String item)
    {
        setString("WithholdingName", item);
    }
    /**
     * Object:兼职全职工资套打's 状态property 
     */
    public String getStatus()
    {
        return getString("status");
    }
    public void setStatus(String item)
    {
        setString("status", item);
    }
    /**
     * Object:兼职全职工资套打's 银行名称property 
     */
    public String getBankName()
    {
        return getString("bankName");
    }
    public void setBankName(String item)
    {
        setString("bankName", item);
    }
    /**
     * Object:兼职全职工资套打's 银行编码property 
     */
    public String getBankcode()
    {
        return getString("bankcode");
    }
    public void setBankcode(String item)
    {
        setString("bankcode", item);
    }
    /**
     * Object:兼职全职工资套打's 银行卡号property 
     */
    public String getBankcardcode()
    {
        return getString("bankcardcode");
    }
    public void setBankcardcode(String item)
    {
        setString("bankcardcode", item);
    }
    /**
     * Object:兼职全职工资套打's 汇率property 
     */
    public String getExchangerate()
    {
        return getString("exchangerate");
    }
    public void setExchangerate(String item)
    {
        setString("exchangerate", item);
    }
    /**
     * Object:兼职全职工资套打's 开户省property 
     */
    public String getOpeningProvince()
    {
        return getString("OpeningProvince");
    }
    public void setOpeningProvince(String item)
    {
        setString("OpeningProvince", item);
    }
    /**
     * Object:兼职全职工资套打's 开户市property 
     */
    public String getOpeningcity()
    {
        return getString("openingcity");
    }
    public void setOpeningcity(String item)
    {
        setString("openingcity", item);
    }
    /**
     * Object:兼职全职工资套打's 账户名称property 
     */
    public String getNameofaccount()
    {
        return getString("nameofaccount");
    }
    public void setNameofaccount(String item)
    {
        setString("nameofaccount", item);
    }
    /**
     * Object:兼职全职工资套打's 薪酬项目IDproperty 
     */
    public String getSalaryitemid()
    {
        return getString("Salaryitemid");
    }
    public void setSalaryitemid(String item)
    {
        setString("Salaryitemid", item);
    }
    /**
     * Object:兼职全职工资套打's 项目金额property 
     */
    public String getProjcetamount()
    {
        return getString("projcetamount");
    }
    public void setProjcetamount(String item)
    {
        setString("projcetamount", item);
    }
    /**
     * Object:兼职全职工资套打's 姓名property 
     */
    public String getPersonname()
    {
        return getString("personname");
    }
    public void setPersonname(String item)
    {
        setString("personname", item);
    }
    /**
     * Object:兼职全职工资套打's 工号property 
     */
    public String getStaffno()
    {
        return getString("staffno");
    }
    public void setStaffno(String item)
    {
        setString("staffno", item);
    }
    /**
     * Object:兼职全职工资套打's 身份证/护照号码property 
     */
    public String getIdcardno()
    {
        return getString("idcardno");
    }
    public void setIdcardno(String item)
    {
        setString("idcardno", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("24DEF3A8");
    }
}